Set a landing page

Set a landing page

Landing pages with a null value in the organizationId field are considered as global landing pages.
Those with a value in the organizationId field are overrides for that specific organization.
If an override exists for an organization, it will be used instead of the global landing page, if not, the global landing page will be used.

By default, BioT appends token query parameters as a standard query string per RFC 3986 (e.g. https://example.com/page?token=...). If your application reads query parameters from a different position in the URL, add a {params} placeholder after a ? or & at the exact point where the parameters should be injected (e.g. https://example.com/#/complete-account?{params}). If no placeholder is present, the default RFC 3986 behaviour applies (backward compatible).

Request Body Parameters:

ParameterTypeMandatoryDescriptionExample
userTypestringtrueThe type of the user. Can be one of the following: [patient, caregiver, organization-user]patient
organizationIdstringfalseA UUID formatted string3fa85f64-5717-4562-b3fc-2c963f66afa6
urlstringtrueThe landing page URL. By default, BioT appends token query parameters as a standard query string per RFC 3986 (e.g. https://example.com/page?token=...). If your application reads query parameters from a different position in the URL, add a {params} placeholder after a '?' or '&' at the exact point where the parameters should be injected.

Examples:

If no {params} placeholder is present, parameters are appended using the default RFC 3986 behaviour |https://example.com/auth/invitation|
Path Parameters:

ParameterTypeMandatoryDescriptionExample
landingPageTypestringtrueThe type of the landing page. Could be one of the following: [ACCEPT_INVITATION, FORGOT_PASSWORD]ACCEPT_INVITATION

This API requires LANDING_PAGE_SET_LANDING_PAGE permission(s).

Path Params
string
enum
required

The type of the landing page. Could be one of the following: [ACCEPT_INVITATION, FORGOT_PASSWORD]

Allowed:
Body Params
string
required

The type of the user. Can be one of the following: [patient, caregiver, organization-user]

uuid

A UUID formatted string

string
required

The landing page URL. By default, BioT appends token query parameters as a standard query string per RFC 3986 (e.g. https://example.com/page?token=...). If your application reads query parameters from a different position in the URL, add a {params} placeholder after a '?' or '&' at the exact point where the parameters should be injected.

Examples:

If no {params} placeholder is present, parameters are appended using the default RFC 3986 behaviour

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json